> ## Documentation Index > Fetch the complete documentation index at: https://support.jacquard.com/llms.txt > Use this file to discover all available pages before exploring further. # List projects for a user > Returns all projects associated with the supplied user id. If the supplied access token does not have rights for the account associated with the requested user an error will be returned. Superhero level users will be able to see all projects for the account. ## OpenAPI ````json GET /v2/users/{userid}/projects { "openapi": "3.0.0", "info": { "title": "Jacquard Connect API", "description": "# Jacquard - Connect API\n\nConnect is an API to give access to Jacquard services. Using connect clients can access basic reference data, submit results, and utilise the continuous optimisation service.\n\n## Glossary\n\n- Account – the holder for a given company\n \n- Project – a collection of Jacquard experiments linked\n \n- Campaign – an individual split test containing generated language variants\n \n- User – users are granted access to a specified list of projects within Jacquard users can access any campaigns that were created within the projects that they have access to\n \n- Access tokens\n \n\n```\nTo access the Connect API you will need a valid bearer token passed in the Authorization header of your requests. There are 2 types of tokens: Access tokens come in 2 types, user and server. User tokens are generated automatically by a user logging into the Jacquard UI. Server access tokens are generated by Jacquard and provided to clients on an ad hoc basis. \nJacquard provides a facility to generate access tokens these tokens are granted permissions to access specified projects within an account when accessing the API. There could either be a single token with access to the entire account EG for a centralised email ops team. Or multiple tokens with access to specific projects for de-centralised email ops teams. \nUser access tokens can be refreshed in the Jacquard UI and will expire after 2 weeks. Server access tokens do not have an expiry setting.\n\n ```\n\nContact Support: \nEmail: [support@jacquard.com](https://mailto:support@jacquard.com)", "version": "1.0.0" }, "servers": [ { "url": "https://connect.phrasee.co" } ], "security": [ { "bearerAuth": [] } ], "tags": [ { "name": "auth" }, { "name": "auth > check" }, { "name": "accounts" }, { "name": "accounts > {accountid}" }, { "name": "accounts > {accountid} > users" }, { "name": "accounts > {accountid} > projects" }, { "name": "users" }, { "name": "users > {userid}" }, { "name": "users > {userid} > projects" }, { "name": "projects" }, { "name": "projects > {projectid}" }, { "name": "projects > {projectid} > campaigns" }, { "name": "campaigns" }, { "name": "campaigns > {campaignid}" }, { "name": "campaigns > {campaignid} > variants" }, { "name": "results" }, { "name": "results > campaigns" }, { "name": "results > campaigns > {campaign_id}" }, { "name": "variants" }, { "name": "variants > {variantid}" }, { "name": "Dynamic optimization" }, { "name": "Dynamic optimization > Dynamic optimization" }, { "name": "Dynamic optimization > Dynamic optimization > campaigns" }, { "name": "Dynamic optimization > Dynamic optimization > campaigns > {campaign_id}" }, { "name": "Dynamic optimization > Dynamic optimization > campaigns > {campaign_id} > batch-trigger" }, { "name": "live" }, { "name": "live > single_variant" } ], "paths": { "/v2/users/{userid}/projects": { "get": { "tags": [ "users > {userid} > projects" ], "summary": "List projects for a user", "description": "Returns all projects associated with the supplied user id. If the supplied access token does not have rights for the account associated with the requested user an error will be returned. Superhero level users will be able to see all projects for the account.", "parameters": [ { "name": "Accept", "in": "header", "schema": { "type": "string" }, "example": "application/json" }, { "name": "allChildren", "in": "query", "schema": { "type": "boolean" }, "description": "Includes all campaigns and language variants along with the project information", "example": "false" }, { "name": "userid", "in": "path", "schema": { "type": "string" }, "required": true, "description": "(Required) User ID", "example": "ad Ut" } ], "responses": { "200": { "description": "OK", "headers": { "Content-Type": { "schema": { "type": "string", "example": "application/json" } } }, "content": { "application/json": { "schema": { "type": "object" }, "example": [ { "project_id": "58fde6419cad0a03e578fe0c", "account_id": "58fde5f99cad0a03e578fe0b", "name": "Batmobiles", "project_type": "email", "iso_language": "en-GB", "iso_currency": "GBP", "created_date_time": "2016-03-15T06:08:27.928Z", "last_updated": "2016-03-15T06:08:27.928Z", "avg_conversion_rate": 3.55, "avg_order_value": 9.99, "estimated_campaigns_per_month": 2.5, "campaigns": [ { "campaign_id": "59807ed854b8891947e04303", "project_id": "58fde6419cad0a03e578fe0c", "name": "Batmobiles Daily Deals", "distribution_channel": "email/push/facebook/sms", "testing_methodology": "broadcast/convergence", "language_source": "NLG/managed", "tracked_metrics": [ "delivered/opened/clicked", "delivered/opened/clicked" ], "baseline_open_rate": 1.23, "created_date_time": "2016-03-15T06:08:27.928Z", "last_updated": "2016-03-15T06:08:27.928Z", "test_send_date": "2016-03-15", "final_send_date": "2016-03-15", "audience_size": 12300332, "number_of_splits": 10, "split_size": 123000, "number_of_recipients": 10000000, "final_number_of_unsubs": 452, "final_unsub_rate": 55.5, "final_unique_opens": 56, "final_unique_open_rate": 8.41, "final_unique_clicks": 55, "final_unique_click_rate": 8.26, "final_revenue": 5568.21, "final_number_of_conversions": 302, "variants": [ { "language_variant_id": "5c07e39e477ca9289615b441", "campaign_id": "59807ed854b8891947e04303", "text": "We thought you'd like this... You can check these Batmobiles off your wish list!", "project_id": "59807ed854b8891947e04303", "created_date_time": "2016-03-15T06:08:27.928Z", "last_updated": "2016-03-15T06:08:27.928Z", "variant_sent_time": "2016-03-15T06:08:27.928Z", "results_at": "2016-03-15T06:08:27.928Z", "is_user_language_variant": false, "number_of_recipients": 666, "number_of_unsubs": 452, "unsub_rate": 55, "unique_opens": 56, "unique_open_rate": 8.41, "unique_clicks": 55, "unique_click_rate": 8.26, "is_winning_line": false, "status": "live" }, { "language_variant_id": "5c07e39e477ca9289615b441", "campaign_id": "59807ed854b8891947e04303", "text": "We thought you'd like this... You can check these Batmobiles off your wish list!", "project_id": "59807ed854b8891947e04303", "created_date_time": "2016-03-15T06:08:27.928Z", "last_updated": "2016-03-15T06:08:27.928Z", "variant_sent_time": "2016-03-15T06:08:27.928Z", "results_at": "2016-03-15T06:08:27.928Z", "is_user_language_variant": false, "number_of_recipients": 666, "number_of_unsubs": 452, "unsub_rate": 55, "unique_opens": 56, "unique_open_rate": 8.41, "unique_clicks": 55, "unique_click_rate": 8.26, "is_winning_line": false, "status": "live" } ] }, { "campaign_id": "59807ed854b8891947e04303", "project_id": "58fde6419cad0a03e578fe0c", "name": "Batmobiles Daily Deals", "distribution_channel": "email/push/facebook/sms", "testing_methodology": "broadcast/convergence", "language_source": "NLG/managed", "tracked_metrics": [ "delivered/opened/clicked", "delivered/opened/clicked" ], "baseline_open_rate": 1.23, "created_date_time": "2016-03-15T06:08:27.928Z", "last_updated": "2016-03-15T06:08:27.928Z", "test_send_date": "2016-03-15", "final_send_date": "2016-03-15", "audience_size": 12300332, "number_of_splits": 10, "split_size": 123000, "number_of_recipients": 10000000, "final_number_of_unsubs": 452, "final_unsub_rate": 55.5, "final_unique_opens": 56, "final_unique_open_rate": 8.41, "final_unique_clicks": 55, "final_unique_click_rate": 8.26, "final_revenue": 5568.21, "final_number_of_conversions": 302, "variants": [ { "language_variant_id": "5c07e39e477ca9289615b441", "campaign_id": "59807ed854b8891947e04303", "text": "We thought you'd like this... You can check these Batmobiles off your wish list!", "project_id": "59807ed854b8891947e04303", "created_date_time": "2016-03-15T06:08:27.928Z", "last_updated": "2016-03-15T06:08:27.928Z", "variant_sent_time": "2016-03-15T06:08:27.928Z", "results_at": "2016-03-15T06:08:27.928Z", "is_user_language_variant": false, "number_of_recipients": 666, "number_of_unsubs": 452, "unsub_rate": 55, "unique_opens": 56, "unique_open_rate": 8.41, "unique_clicks": 55, "unique_click_rate": 8.26, "is_winning_line": false, "status": "live" }, { "language_variant_id": "5c07e39e477ca9289615b441", "campaign_id": "59807ed854b8891947e04303", "text": "We thought you'd like this... You can check these Batmobiles off your wish list!", "project_id": "59807ed854b8891947e04303", "created_date_time": "2016-03-15T06:08:27.928Z", "last_updated": "2016-03-15T06:08:27.928Z", "variant_sent_time": "2016-03-15T06:08:27.928Z", "results_at": "2016-03-15T06:08:27.928Z", "is_user_language_variant": false, "number_of_recipients": 666, "number_of_unsubs": 452, "unsub_rate": 55, "unique_opens": 56, "unique_open_rate": 8.41, "unique_clicks": 55, "unique_click_rate": 8.26, "is_winning_line": false, "status": "live" } ] } ] }, { "project_id": "58fde6419cad0a03e578fe0c", "account_id": "58fde5f99cad0a03e578fe0b", "name": "Batmobiles", "project_type": "email", "iso_language": "en-GB", "iso_currency": "GBP", "created_date_time": "2016-03-15T06:08:27.928Z", "last_updated": "2016-03-15T06:08:27.928Z", "avg_conversion_rate": 3.55, "avg_order_value": 9.99, "estimated_campaigns_per_month": 2.5, "campaigns": [ { "campaign_id": "59807ed854b8891947e04303", "project_id": "58fde6419cad0a03e578fe0c", "name": "Batmobiles Daily Deals", "distribution_channel": "email/push/facebook/sms", "testing_methodology": "broadcast/convergence", "language_source": "NLG/managed", "tracked_metrics": [ "delivered/opened/clicked", "delivered/opened/clicked" ], "baseline_open_rate": 1.23, "created_date_time": "2016-03-15T06:08:27.928Z", "last_updated": "2016-03-15T06:08:27.928Z", "test_send_date": "2016-03-15", "final_send_date": "2016-03-15", "audience_size": 12300332, "number_of_splits": 10, "split_size": 123000, "number_of_recipients": 10000000, "final_number_of_unsubs": 452, "final_unsub_rate": 55.5, "final_unique_opens": 56, "final_unique_open_rate": 8.41, "final_unique_clicks": 55, "final_unique_click_rate": 8.26, "final_revenue": 5568.21, "final_number_of_conversions": 302, "variants": [ { "language_variant_id": "5c07e39e477ca9289615b441", "campaign_id": "59807ed854b8891947e04303", "text": "We thought you'd like this... You can check these Batmobiles off your wish list!", "project_id": "59807ed854b8891947e04303", "created_date_time": "2016-03-15T06:08:27.928Z", "last_updated": "2016-03-15T06:08:27.928Z", "variant_sent_time": "2016-03-15T06:08:27.928Z", "results_at": "2016-03-15T06:08:27.928Z", "is_user_language_variant": false, "number_of_recipients": 666, "number_of_unsubs": 452, "unsub_rate": 55, "unique_opens": 56, "unique_open_rate": 8.41, "unique_clicks": 55, "unique_click_rate": 8.26, "is_winning_line": false, "status": "live" }, { "language_variant_id": "5c07e39e477ca9289615b441", "campaign_id": "59807ed854b8891947e04303", "text": "We thought you'd like this... You can check these Batmobiles off your wish list!", "project_id": "59807ed854b8891947e04303", "created_date_time": "2016-03-15T06:08:27.928Z", "last_updated": "2016-03-15T06:08:27.928Z", "variant_sent_time": "2016-03-15T06:08:27.928Z", "results_at": "2016-03-15T06:08:27.928Z", "is_user_language_variant": false, "number_of_recipients": 666, "number_of_unsubs": 452, "unsub_rate": 55, "unique_opens": 56, "unique_open_rate": 8.41, "unique_clicks": 55, "unique_click_rate": 8.26, "is_winning_line": false, "status": "live" } ] }, { "campaign_id": "59807ed854b8891947e04303", "project_id": "58fde6419cad0a03e578fe0c", "name": "Batmobiles Daily Deals", "distribution_channel": "email/push/facebook/sms", "testing_methodology": "broadcast/convergence", "language_source": "NLG/managed", "tracked_metrics": [ "delivered/opened/clicked", "delivered/opened/clicked" ], "baseline_open_rate": 1.23, "created_date_time": "2016-03-15T06:08:27.928Z", "last_updated": "2016-03-15T06:08:27.928Z", "test_send_date": "2016-03-15", "final_send_date": "2016-03-15", "audience_size": 12300332, "number_of_splits": 10, "split_size": 123000, "number_of_recipients": 10000000, "final_number_of_unsubs": 452, "final_unsub_rate": 55.5, "final_unique_opens": 56, "final_unique_open_rate": 8.41, "final_unique_clicks": 55, "final_unique_click_rate": 8.26, "final_revenue": 5568.21, "final_number_of_conversions": 302, "variants": [ { "language_variant_id": "5c07e39e477ca9289615b441", "campaign_id": "59807ed854b8891947e04303", "text": "We thought you'd like this... You can check these Batmobiles off your wish list!", "project_id": "59807ed854b8891947e04303", "created_date_time": "2016-03-15T06:08:27.928Z", "last_updated": "2016-03-15T06:08:27.928Z", "variant_sent_time": "2016-03-15T06:08:27.928Z", "results_at": "2016-03-15T06:08:27.928Z", "is_user_language_variant": false, "number_of_recipients": 666, "number_of_unsubs": 452, "unsub_rate": 55, "unique_opens": 56, "unique_open_rate": 8.41, "unique_clicks": 55, "unique_click_rate": 8.26, "is_winning_line": false, "status": "live" }, { "language_variant_id": "5c07e39e477ca9289615b441", "campaign_id": "59807ed854b8891947e04303", "text": "We thought you'd like this... You can check these Batmobiles off your wish list!", "project_id": "59807ed854b8891947e04303", "created_date_time": "2016-03-15T06:08:27.928Z", "last_updated": "2016-03-15T06:08:27.928Z", "variant_sent_time": "2016-03-15T06:08:27.928Z", "results_at": "2016-03-15T06:08:27.928Z", "is_user_language_variant": false, "number_of_recipients": 666, "number_of_unsubs": 452, "unsub_rate": 55, "unique_opens": 56, "unique_open_rate": 8.41, "unique_clicks": 55, "unique_click_rate": 8.26, "is_winning_line": false, "status": "live" } ] } ] } ] } } }, "401": { "description": "Unauthorized", "content": { "text/plain": { "schema": { "type": "string" }, "example": "" } } }, "403": { "description": "Forbidden", "content": { "text/plain": { "schema": { "type": "string" }, "example": "" } } } } } } }, "components": { "securitySchemes": { "bearerAuth": { "type": "http", "scheme": "bearer" } } } } ````